Bug 1267328 - Review Request: rubygem-connection_pool - Generic connection pool for Ruby
Review Request: rubygem-connection_pool - Generic connection pool for Ruby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1268450
  Show dependency treegraph
 
Reported: 2015-09-29 12:18 EDT by Ilya Gradina
Modified: 2016-03-14 04:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 04:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-09-29 12:18:50 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-connection_pool.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-connection_pool-2.2.0-1.fc24.src.rpm
Description: Generic connection pool for Ruby.
Fedora Account System Username: ilgrad
Comment 1 Ilya Gradina 2015-11-14 14:00:13 EST
(In reply to Ilya Gradina from comment #0)
> Spec URL:
> https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-
> connection_pool.spec
> SRPM URL:
> https://github.com/ilgrad/fedora-packages/blob/master/rubygems/rubygem-
> connection_pool-2.2.0-1.fc24.src.rpm
> Description: Generic connection pool for Ruby.
> Fedora Account System Username: ilgrad

Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-connection_pool.spec
Comment 2 Mamoru TASAKA 2015-12-13 02:21:47 EST
Taking.

I would appreciate if you would review my review request (bug 1289850).

Note:
It seems that you have already submitted many rubygem related
package reviews which are not taken by any reviewers yet.
I would suggest you offer review swaps as written on:
https://fedoraproject.org/wiki/Package_Review_Process
Comment 3 Mamoru TASAKA 2015-12-16 05:41:43 EST
Basically okay. Some requests and recommendations:

* Unneeded document files
  - %{gem_instdir}/test
    As written on "Do not ship tests" in 
    https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites 
    , we request test/ directory *not* shipped in the rebuilt
    binary rpm.

  - Gemfile
    This is needed only for test suite and not needed
    on runtime.

  - Rakefile
    This is alike "Makefile" on autotools system and 
    not needed on runtime.

  - %{gem_instdir}/connection_pool.gemspec
    This is usually needed only when creating gem itself
    and not needed on runtime
    (Note: %{gem_spec} is needed)

* Other documentation recommendations
   * Mark %doc
      - Mark Changes.md as %doc

   * README.md
      - I would recommend that this file should be
        moved to main package because this says "README".
Comment 5 Mamoru TASAKA 2015-12-23 08:06:57 EST
Okay, now

* spec file clean
* source matches upstream
* license ok
* builds clean
* installation clean
* at least the following works

$ ruby -e "require 'connection_pool'; puts ConnectionPool::VERSION"
2.2.0

-------------------------------------------------
   This package (rubygem-connection_pool) is
   APPROVED by mtasaka
-------------------------------------------------
Comment 6 Mamoru TASAKA 2016-01-07 01:12:15 EST
ping?
Comment 7 Gwyn Ciesla 2016-01-11 14:28:39 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-connection-pool

Note You need to log in before you can comment on or make changes to this bug.